Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.ciphers
Class WpcodeAlgor

    java.lang.Object
      com.rsa.authagent.authapi.ciphers.WpcodeAlgor

Direct Known Subclasses:
  Algor2, Algor5

    public abstract class WpcodeAlgor

extends java.lang.Object

Abstract class for the V2 and V5 wpcode algorithms.

Field Summary
`static int` | `IP_SIZE`
`static int` | `PINPRN_SIZE`
`static int` | `SALT_SIZE`
`static int` | `TIME_SIZE`

Constructor Summary
`WpcodeAlgor()`

Method Summary
`Passkey[]` | `generate(java.lang.String pin, java.lang.String prn, java.net.InetAddress ip, long time)`
`int` | `generate(java.lang.String pin, java.lang.String prn, java.net.InetAddress ip, long time, Passkey[] wpCodes)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PINPRN_SIZE

    public static final int PINPRN_SIZE

See Also:
  Constant Field Values

### TIME_SIZE

    public static final int TIME_SIZE

See Also:
  Constant Field Values

### SALT_SIZE

    public static final int SALT_SIZE

See Also:
  Constant Field Values

### IP_SIZE

    public static final int IP_SIZE

See Also:
  Constant Field Values

Constructor Detail

### WpcodeAlgor

    public WpcodeAlgor()
                throws java.security.GeneralSecurityException

Throws:
  `java.security.GeneralSecurityException`

Method Detail

### generate

    public Passkey[] generate(java.lang.String pin,
                              java.lang.String prn,
                              java.net.InetAddress ip,
                              long time)
                       throws java.security.GeneralSecurityException

  Throws:
    `java.security.GeneralSecurityException`

### generate

    public int generate(java.lang.String pin,
                        java.lang.String prn,
                        java.net.InetAddress ip,
                        long time,
                        Passkey[] wpCodes)
                 throws java.security.GeneralSecurityException

  Throws:
    `java.security.GeneralSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.